快速更新node_modules

Author Avatar
LittleBlack 5月 01, 2020
  • 在其它设备中阅读本文章

本博文转载自Calvin_zhou大神的CSDN,点击前往原博客享受更好阅读体验,侵删。

前言

一直使用hexo写博客,随着博客的增多,编译时的时间越来越长,最近考虑使用给hexo和next主题升级。

博客升级

一 将备份源码使用vscode打开

二 安装hexo

npm install hexo-cli -g

三 安装项目依赖

npm install 

3.1 npm install 出错解决

3.1.1 错误现象

依赖库过期

3.1.2 错误原因

使用的依赖库版本过低

3.2 hexo 依赖库升级

3.2.1 工具

npm-check-updates

3.2.2 操作流程

npm install -g npm-check-updatesncu  ncu -u

3.2.3 hexo package升级

3.2.4 修正其他错误

  • 修改前
  • 修改后

3.3 警告信息

3.2.1 执行npm audit fix后出现警告信息

3.2.1 修复警告信息

根据提示信息安装缺失依赖文件,如警告中的eslint

npm install eslint --save-dev    

注:

  • 系统不是Windows系统,fsevents是苹果系统的可选依赖。至于为什么仍然会安装

    三 编译项目

    hexo g

四 运行项目

hexo s